Upstream information

CVE-2017-6318 at MITRE

Description

saned in sane-backends 1.0.25 allows remote attackers to obtain sensitive memory information via a crafted SANE_NET_CONTROL_OPTION packet.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.96 3.47
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:N/AC:M/Au:S/C:P/I:N/A:N
Access Vector Network Network
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 1027197 [RESOLVED / ]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • sane-backends >= 1.0.24-3.1
  • sane-backends-32bit >= 1.0.24-3.1
  • sane-backends-autoconfig >= 1.0.24-3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-397
SUSE Linux Enterprise Desktop 12 SP2
  • sane-backends >= 1.0.24-3.1
  • sane-backends-32bit >= 1.0.24-3.1
  • sane-backends-autoconfig >= 1.0.24-3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-397
SUSE Linux Enterprise Server 11 SP4
  • sane-backends >= 1.0.20-7.8.1
Patchnames:
slessp4-sane-backends-13029
SUSE Linux Enterprise Server 12 SP1
  • sane-backends >= 1.0.24-3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-397
SUSE Linux Enterprise Server 12 SP2
  • sane-backends >= 1.0.24-3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-397
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • sane-backends >= 1.0.24-3.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-397
SUSE Linux Enterprise Software Development Kit 11 SP4
  • sane-backends >= 1.0.20-7.8.1
  • sane-backends-32bit >= 1.0.20-7.8.1
  • sane-backends-autoconfig >= 1.0.20-7.8.1
  • sane-backends-x86 >= 1.0.20-7.8.1
Patchnames:
sdksp4-sane-backends-13029
SUSE Linux Enterprise Software Development Kit 12 SP1
  • sane-backends >= 1.0.24-3.1
  • sane-backends-devel >= 1.0.24-3.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-397
SUSE Linux Enterprise Software Development Kit 12 SP2
  • sane-backends >= 1.0.24-3.1
  • sane-backends-devel >= 1.0.24-3.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-397
SUSE Linux Enterprise Workstation Extension 12 SP1
  • sane-backends >= 1.0.24-3.1
  • sane-backends-32bit >= 1.0.24-3.1
  • sane-backends-autoconfig >= 1.0.24-3.1
Patchnames:
SUSE-SLE-WE-12-SP1-2017-397
SUSE Linux Enterprise Workstation Extension 12 SP2
  • sane-backends >= 1.0.24-3.1
  • sane-backends-32bit >= 1.0.24-3.1
  • sane-backends-autoconfig >= 1.0.24-3.1
Patchnames:
SUSE-SLE-WE-12-SP2-2017-397
openSUSE Leap 42.1
  • sane-backends >= 1.0.24-5.1
  • sane-backends-32bit >= 1.0.24-5.1
  • sane-backends-autoconfig >= 1.0.24-5.1
  • sane-backends-debuginfo >= 1.0.24-5.1
  • sane-backends-debuginfo-32bit >= 1.0.24-5.1
  • sane-backends-debugsource >= 1.0.24-5.1
  • sane-backends-devel >= 1.0.24-5.1
Patchnames:
openSUSE-2017-318